Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 06 Jul 2022 08:18:26 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello,
I have had a horrible experience with your brand for the first time  and its been super stressful dealing with your customer service on the phone and instore at dfc.
MY order no is 9575750496
I ordered a swimsuit  and it was delivered on 27th june 2022
Because i wanted a different colour i called your customer service and checked/confirmed with your staff if i could return it and as per him he stated yes it can be returned at any of the stores after calling and reserving a grey swimsuit left at DFC store I went from jumeirah especially to dfc to pick up the swimsuit.
Over going there the staff informed me that i wont be able to do it as instore and online promotions are different thus it will not be possible, further down he even stated because of using a code and 'MY" shukran aed which was only 4 aed there will be a price difference.
I called MAX customer service the same time and the girl on the phone conveniently made an excuse that sometimes store returns it sometimes they dont.
How do you want me to accept these excuses when none of this makes sense?
I raised a complaint and nothing was done about that as well.
Complaint no 4554879.
My question is why are you giving wrong info to customers leading us to waste our fuel and time i wasted my fuel is anyone going to compensate for that?????
On 29th i went to the pool i used this swimsuit and i noticed after half an hour in the pool there was fuzzy texture on my swimming leggings, so today that is 30th i came to dfc again wasting my time and fuel.
What is upsetting is that the store staff there actually told me that maybe i was carrying a bag and this happened because of that? Who carries a bag while swimming i have been swimming from past 8 years and this kind of fuzzies only happen after an year of using a swimsuit i have worn lot of brands but this has happened the first time, plus your manager Ashiq at DFC went down the lane by saying we dont do physical damage returns and there have not been complaints about our material and maybe this damage has been done by a wall or a car?
This is so frustrating when such a big brand is putting everything on a customer for a swimsuit costing 110aed.
Its shameful to even consider blaming the customer!
I was told they will cc me in the email and till now there is no email i went around 4 pm.
I am not going back to dfc again wasting my fuel and time.
I need a reply to what can be done to this matter because this will be the last time i will ever be shopping with MAX with such unprofessional staff instore and on the call.
No one knows what they are doing. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4565382